Zoom Property

Sets or returns the zoom scale of the printout as a percentage of the

Settings in the ActiveWindows.

Syntax

RoboPrint.Zoom = Percent of magnification (Integer)

The Zoom property syntax has these parts.

Part	Description
object	A RoboPrint Instance.
	Independent of the Printer.Zoom Property.
Remarks:

The width of an A3 size page in the printer is 12000 Twins. If you want yours prints dimensions like the form appearance you must use the following line in the FormLoad procedure.

Roboprintvb51.Zoom = 12000/ Screen.width


ButtonViewToolTipText
BtnViewToolTipText Property

Returns or sets a ToolTip of the Preview Button.

Syntax

object.BtnViewToolTipText [= string]

The BtnViewToolTipText property syntax has these parts:

Part	Description
object	A RoboPrint Instance.
string	A string associated with an object in the Applies To list. That appears in a small rectangle below the object when the user's cursor hovers over the object at run time for about one second.

Remarks

At design time you can set the BtnViewToolTipText property string in the control's properties dialog box.


Button Print Tip
BtnPrintToolTipTextProperty

Returns or sets a ToolTip of the Print Button.

Syntax

RoboPrint.BtnPrintToolTipText [= string]

The BtnPrintToolTipText property syntax has these parts:

Part	Description
object	A RoboPrint Instance.
string	A string associated with an object in the Applies To list. That appears in a small rectangle below the object when the user's cursor hovers over the object at run time for about one second.

Remarks

At design time you can set the BtnPrintToolTipText property string in the control's properties dialog box.


Border Text
BorderText property

Returns or sets the border Print action for TextBox, Label, MaskEditBox.

Syntax

object.BorderText = [Boolean]

The BorderText property syntax has these parts:

Part	Description
object	A RoboPrint Instance.
Boolean	A Boolean expression that specifies whether RobopPrint Prints Border around the text

Settings

The settings for Boolean are:

Setting	Description
True	(Default) Prints Borders if the TextControl.borderStyle = 1- Fixed Single


Orientation
Orientation Property

Returns or sets the Orientation of Printed Page.

Syntax

object.Orientation = [Number]

The Orientation property syntax has these parts:

Part	Description
object	A RoboPrint Instance.
Number	0 or 1 value

Settings

Setting	Description
0	Portrait Orientation
1	Landscape Orientation


Color Property

Returns or sets the RoboPrint Style Print.

Syntax

object.Color = [Number]

The BorderText property syntax has these parts:

Part	Description
object	An RoboPrintVB5 Control
Number	0 or 1 value

Settings

The settings for Boolean are:

Setting	Description
0	Color
1	Monochrome (B&W)

Monochrome is a very economical feature for largest prints and Preview.


ShowPrinterAlways
ShowPrinterAlways Property

Returns or sets the ShowPrinterProperties action in each Printer Action.

Syntax

object.ShowPrinterAlways = [Boolean]

The ShowPrinterAlways property syntax has these parts:

Part	Description
object	An RoboPrintVB5 Control
Boolean	A Boolean expression that specifies whether the Default Printer is showed before the Print action.

Settings

The settings for Boolean are:

Setting	Description
True	(Default) the Default Printer is showed before the Print action.
False	Only ShowPrinter Method shows the Default Printer.


TitlesFont
TitlesFont Property

Returns and set the Font of the top and Foot Titles in the RoboPrint Prints.

Syntax

object.Font

The object placeholder represents A RoboPrint instance.


RepeatHeader
RepeatHeader Property

Returns or sets the RepeatHeader action in each Grid (DBGrid and MsFlexGrid) Printing or Preview.

Syntax

object.RepeatHeader = [Boolean]

The RepeatHeader property syntax has these parts:

Part	Description
object	An RoboPrintVB5 Control
Boolean	A Boolean expression that specifies whether the Titles Columns of the Grid is Printed in each page.

Settings

The settings for Boolean are:

Setting	Description
True	(Default) the Titles Columns of the Grid is Printed in each page.
False	The Titles Columns of the Grid is Printed only in the First occur.


Margin Properties
TopMargin, FootMargin, LeftMargin and RightMargin Properties

Returns or sets the Margins of the Printed Pages in centimeters, occurs also in Preview action.

Syntax

object.TopMargin = [Double]


Pager Numbers
PagesNumbers Property

Returns or sets the Print Pages number when printing or previewing.

Syntax

Roboprint1. PagesNumbers = [Boolean]

The PagesNumbers property syntax has these parts:

Part	Description
object	An RoboPrintVB5 instance
Boolean	A Boolean expression that specifies whether the Page number is Printed in each page.

Settings

The settings for Boolean are:

Setting	Description
True	(Default) Page number is Printed in each page.
False	none


TopFootAlignTxt
TopFootAlignTxt Property

Returns or sets a value that determines the alignment of FootTitle and TopTitle.

Syntax

Roboprint1 [= number]

The Alignment property syntax has these parts:

Settings

Constant	Setting	Description

LLeft	    0	(Default) Text is left-aligned.

RRight	    1	Text is right-aligned; control is left aligned.

Ccenter   2	Text is centered.


FromPage  and ToPage Properties

Return or set the values for the From and To Pages.

Syntax

object.FromPage [= number]

object.ToPage [= number]

The FromPage and ToPage property syntax has these parts:

Part	Description

object	A RoboPrint Control.

number	A numeric expression that specifies the first and last pages to be printed.

Remarks

Page not exists in Visual Basic. RoboPrint make them. While this process the number of the Pages that before FromPage appears in gray color.

Data Type

Integer


PrviewMonochrome Property

Returns or sets the Preview monochrome displays.

Syntax

Roboprint1. PrviewMonochrome = [Boolean]

The PrviewMonochrome property syntax has these parts:

Part	Description
object	An RoboPrintVB5 Control
Boolean	A Boolean expression that specifies whether the Preview is displayed in monochrome mode.

Settings

The settings for Boolean are:

Setting	Description
True	(Default) RoboPrint.Preview is displayed in monochrome mode, also if ProboPrint.Color is set to V_Color value.
False	none

Remarks:

The goal of the PrviewMonochrome Property is to take the Preview more Fast. The page doesn't exist in

Basic Visual applications. RoboPrint creates and stores them in virtual memory. The Memory space required for Monochrome Pages is height times smaller than the required for Color Pages.


Copies Properties

Returns or sets a value that determines the number of copies to be printed.

Syntax

RoboPrint.Copies [= number]

This value must be an integer.

Remarks

For the Printer object, multiple copies may or may not be collated, depending on the printer driver. Multiple copies of the entire document or multiple copies of each page may be printed. For printers that don't support collating, set Copies = 1, and then use a loop in code to print multiple copies of the entire document.

Note the effect of the properties of the Printer object depends on the driver supplied by the printer manufacturer. Some property settings may have no effect, or several different property settings may all have the same effect. Settings outside the accepted range may produce an error. For more information, see the manufacturer's documentation for the specific driver.


PreviewBtnEnabled and PrintBtnEnabled
PreviewBtnEnabled and PrintBtnEnabled Properties

Returns or sets a value that determines whether the buttons Preview or Print can respond to user-generated events.

Syntax

RoboPrint. PreviewBtnEnabled [= boolean]

RoboPrint PrintBtnEnabled [= boolean]

The default value is true.


TopTitle and FootTitle Properties

Set o Return a Titles on the printed page.

Syntax

RoboPrint.TopTitle [=string]

RoboPrint.FootTitle [=string]

Remarks

If PageNumber is set true, the FootTitle will be concatenated with the page number.


BeforePrint Event

Occur when the user presses a Print or Preview Button.

Syntax

Private Sub  RoboPrint1_BeforePrint (Cancel As Boolean, Mode As Integer)

Mode indicate if the event is Print or Preview.

The Validate event syntax has these parts:

Part	Description

object	A RoboPrint instance.

Cancel	a Boolean that	Determines whether the Print or Preview operation succeeds.

Mode an integer that indicates if the event is Print or Preview.

Settings

The settings for Cancel are:

Setting	Description
True	the Print or Preview operation succeeds.
False	(Default) the Print or Preview operation fails.

The settings for Mode are:

Setting	Description
0	The RoboPrint Action is a Preview Action.
1	The RoboPrint Action is a Print Action.

Example

Private Sub  RoboPrint1_BeforePrint ( Cancel As Boolean, Mode As Integer)

If Mode = 1 And DataChanged Then Cancel = True

End Sub


Preview Method

Shows how the ActiveForm will look when printed. Same a Preview Button click.

Syntax

RoboPrint1.Preview


Lprint Method

Print the ActiveForm. Same a Print Button click

Syntax

RoboPrint1.Lprint


ShowPrinter Method

Show the Properties Dialog of the Default Printer.

Syntax

RoboPrint.ShowPrinter


Rational usage of Report Writers
Robocx RoboPrint for Visual Basic 5.0/6.0.

Rational usage of Report Writers

Report Writers like Crystal, are independent applications with their own access to the database.

They are therefore very slow and wasteful with computer resources. On the other hand, they make the designing of intricate reports relatively easy compared to writing code for such reports in a programming language.

Programmer will generally design reports using the tools of his own programming environment. (Previewing a two page or longer report created with a report writer is not a very pleasant experience for the user).

In these cases, and they are very frequent, the programmer will be forced to redesign the report with the help of a report writer, in order to enable the user to print out the report or form.

With Roboprint this duplication of effort is unnecessary.


Guidelines
Robocx RoboPrint for Visual Basic 5.0/6.0.

Guidelines for working with Roboprint

The order of printing is from top to bottom.

Zorder will not be recognized.

All Controls and their Top lower than the Grid (DBGrid And MsFlexGrid) prints Behind the Grid and never side by the side.

The Controls when they’re whose Tag or their  Parents.Tag = noprint. Or/and their whose Visible Property =False will be not printed.

RoboPrintVB5 ignores Methods:

Print, Shape, Line and Zorder.

RoboPrintVB5 ignores Properties:

Label.BackStyle = Transparent

MSFlexGrid.MergeCell and MSFlexGrid.Picture

Text Control situated into Tabs Control will be not correctly printed.


AfterPrint Event

Occur when Roboprint has finished the Printer Action.

Syntax

RoboPrint1_AfterPrint


Features
Robocx RoboPrint for Visual Basic 5.0/6.0.

Features

RoboPrintVB5 Control provides automatic Preview and Print, for Visual Basic 5.0/6.0 Apps, without need of code.

RoboPrintVB5 prints the following controls:

DBGrid - MsFlexGrid - TextBox - Label - MaskEdBox - ComboBox.Text – ListBox - Shape - Line -  CheckBox - OptionButton - MSChart - Pictures of PictureBox and Image.

RoboPrintVB5 prints the entire contents of the Expanding Controls: DBGrid, MSFlexGrid and Multiline TextBox, in Multipages feature if needed.


Faster Preview
Robocx RoboPrint for Visual Basic 5.0/6.0.

Faster Preview

RoboPrint creates and stores the preview pages in virtual memory. The memory space required for monochrome pages is eight times smaller than that required for colour pages.

By setting the  PrviewMonochrome Property to True, or  restricting the number of pages by the use of the FromPage– ToPage Properties, you can achieve faster previewing speeds.


Exclude Grid.Column When Printing
Robocx RoboPrint for Visual Basic 5.0/6.0.

Exclude Grid.Column When Printing

In DBGrid Control you set the Column. Visible to False. In MsFlexGrid you set MsFlexGrid1.ColWidth(Required Column No.) to zero (Run Time only) If you want columns to be invisible in the print output, you must set their Invisible property or set their width to zero in the BeforePrint event and restore these values in the  AfterPrint event.


Keep the proportion of the Print
Keep the proportion of the Print.

If you have a function in your application that resizes forms and controls when the user screen definitions are different from the design screen and print size is changed as well.

To rectify this problem you must to add the following line to your Resize function:

Roboprint.Zoom = Roboprint.Zoom * You own resize Factor.